Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Class EventRequestModifier

    java.lang.Object
      com.sun.squawk.debugger.EventRequestModifier

Direct Known Subclasses:
  EventRequestModifier.ClassMatch, EventRequestModifier.ClassOnly, EventRequestModifier.Count, EventRequestModifier.ExceptionOnly, EventRequestModifier.LocationOnly, EventRequestModifier.Step, EventRequestModifier.ThreadOnly

    public abstract class EventRequestModifier

extends Object

The `EventRequestModifier` class creates a "filter" for `EventRequest` objects, so that only events that are matched by the modifiers associated with an event request are sent to the debugger. Modifiers are specified as part of a JDWP EventRequest.Set command.

Nested Class Summary
`static class` | `EventRequestModifier.ClassMatch` A `ClassMatch` modifier restricts reported events to those for classes whose name matches a restricted regular expression.
`static class` | `EventRequestModifier.ClassOnly` For class prepare event, a `ClassOnly` modifier restricts the events generated by this request to be the preparation of the given reference type and any subtypes.
`static class` | `EventRequestModifier.Count` A `Count` modifier limits the requested event to be reported at most once after a given number of occurrences.
`static class` | `EventRequestModifier.ExceptionOnly` An `ExceptionOnly` modifier restricts reported exceptions by their class and whether they are caught or uncaught.
`static class` | `EventRequestModifier.LocationOnly` A `LocationOnly` modifier restricts reported events to those that occur at a given location.
`static interface` | `EventRequestModifier.Matcher`
`static class` | `EventRequestModifier.Step` A `Step` modifier restricts reported step events to those which satisfy depth and size constraints.
`static class` | `EventRequestModifier.ThreadOnly` A `ThreadOnly` modifier restricts reported events to those in a given thread.

Constructor Summary
`EventRequestModifier()`

Method Summary
`abstract boolean` | `matches(EventRequestModifier.Matcher matcher, Debugger.Event event)` Determines if this modifier matches the event currently being processed by an event manager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventRequestModifier

    public EventRequestModifier()

Method Detail

### matches

    public abstract boolean matches(EventRequestModifier.Matcher matcher,
                                    Debugger.Event event)

  Determines if this modifier matches the event currently being processed by an event manager.

  Returns:
    true if this modifier matches the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"